2020-08-11 00:54 EDT


View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0002181FSSCPmath-relatedpublic2020-07-07 01:20
ReporterFUBAR-BDHR 
Assigned ToGoober5000 
PrioritynormalSeverityminorReproducibilityhave not tried
StatusresolvedResolutionfixed 
Product Version3.6.12 RC2 
Target VersionFixed in Version 
Summary0002181: Null vec3d from multi_oo_sort_function() line 181
DescriptionNot even sure that the scenario that led up to this is legal but it probably will be at some point if it's not now. Basically the mission has the player starts set to docking bay of a Hecate. Problem is there are at least 6 players and only 5 bay paths on the Hecate. It appears Beta2 tried to spawn on top of another ship resulting in both oo_player_object->pos and obj1->pos having the same coordinates.

Probably just needs the same sanity checks added to the other swarm of null vec3d errors.
Additional Information3.6.13 r6046 Inferno SSE2. Standalone server with MediaVPs.
TagsNo tags attached.
Attached Files

-Relationships
+Relationships

-Notes

~0012020

Wanderer (developer)

Well.. It might require something else. Ships having identical positions is something that code generally assumes to be impossible. Just using normal null vec protection macros is not really a good solution for this issue

~0017000

Goober5000 (administrator)

PR opened in GitHub:
https://github.com/scp-fs2open/fs2open.github.com/pull/2550

I disagree with Wanderer; I think this fix is sufficient. If there are more ships than bay paths, the code has no choice but to reuse paths.

~0017002

Goober5000 (administrator)

Fix merged.
+Notes

-Issue History
Date Modified Username Field Change
2010-04-13 18:02 FUBAR-BDHR New Issue
2010-05-29 10:37 Wanderer Note Added: 0012020
2020-07-06 22:48 Goober5000 Assigned To => Goober5000
2020-07-06 22:48 Goober5000 Status new => confirmed
2020-07-06 22:48 Goober5000 Note Added: 0017000
2020-07-07 01:20 Goober5000 Status confirmed => resolved
2020-07-07 01:20 Goober5000 Resolution open => fixed
2020-07-07 01:20 Goober5000 Note Added: 0017002
+Issue History